# -*- coding: iso-8859-1 -*-
"""
    MoinMoin simple theme (based on modern)

    @copyright: (c) 2003-2004 by Nir Soffer, Thomas Waldmann, Eduardo Mercovich
    @license: GNU GPL, see COPYING for details.
"""

from MoinMoin.theme import ThemeBase


class Theme(ThemeBase):

    name = "simplemoin"

# Public functions #####################################################

    def header(self, d, **kw):
        """ Assemble wiki header
        
        @param d: parameter dictionary
        @rtype: unicode
        @return: page header html
        """
        html = [
            self.logo(),
            self.msg(d),
#            u'<div id="pageline"><hr style="display:none;"></div>',
            # Pre header custom html
            self.emit_custom_html(self.cfg.page_header1),
            # Start of page
            self.startPage(),
#            self.editbar(d),
            u'<div id="supercontent">',
            self.editbar(d),
            self.title(d),
            
            # Post header custom html (not recommended)
            self.emit_custom_html(self.cfg.page_header2),
                    ]
        return u'\n'.join(html)

    def footer(self, d, **keywords):
        """ Assemble wiki footer
        
        @param d: parameter dictionary
        @keyword ...:...
        @rtype: unicode
        @return: page footer html
        """
        page = d['page']
        html = [
            # End of page
            self.pageinfo(page),
            self.editbar(d),
            u'</div>',
#            self.editbar(d),
            self.endPage(),

            # Pre footer custom html (not recommended!)
            self.emit_custom_html(self.cfg.page_footer1),
            
            # Header
            u'<div id="header">',
            u'<div id="global">',
            u'<p>Global</p>',
            self.navibar(d),
            self.searchform(d),
            u'</div>',
            u'<div id="personal">',
            u'<p>Personal</p>',
            self.username(d),
            self.trail(d),
            u'</div>',
            #u'<hr id="pageline">',
            u'</div>',

            # Footer
            u'<div id="footer">',
            self.credits(d),
            self.showversion(d, **keywords),
            u'</div>',
            
            # Post footer custom html
            self.emit_custom_html(self.cfg.page_footer2),

            ]
        return u'\n'.join(html)

        
def execute(request):
    """
    Generate and return a theme object
        
    @param request: the request object
    @rtype: MoinTheme
    @return: Theme object
    """
    return Theme(request)

